-- Creator:       MySQL Workbench 6.3.8/ExportSQLite Plugin 0.1.0
-- Author:        Mohamed
-- Caption:       New Model
-- Project:       Name of the project
-- Changed:       2021-12-20 11:07
-- Created:       2021-12-06 15:04
PRAGMA foreign_keys = OFF;

-- Schema: mydb
ATTACH "mydb.sdb" AS "mydb";
BEGIN;
CREATE TABLE "PROJET"(
  "id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
  "title_projet" VARCHAR(250) NOT NULL,
  "content_projet" LONGTEXT NOT NULL
);
CREATE TABLE "CRITTER"(
  "id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
  "content_critter" LONGTEXT NOT NULL,
  "PROJET_id" INTEGER NOT NULL,
  CONSTRAINT "fk_CRITTER_PROJET"
    FOREIGN KEY("PROJET_id")
    REFERENCES "PROJET"("id")
);
CREATE INDEX "CRITTER.fk_CRITTER_PROJET_idx" ON "CRITTER" ("PROJET_id");
CREATE TABLE "USER"(
  "id" INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
  "username" VARCHAR(45) NOT NULL,
  "email" VARCHAR(45) NOT NULL,
  "password" VARCHAR(45) NOT NULL,
  "created-at" DATETIME NOT NULL,
  "deleted-at" DATETIME NOT NULL
);
CREATE TABLE "USER_has_CRITTER"(
  "USER_id" INTEGER NOT NULL,
  "CRITTER_id" INTEGER NOT NULL,
  PRIMARY KEY("USER_id","CRITTER_id"),
  CONSTRAINT "fk_USER_has_CRITTER_USER1"
    FOREIGN KEY("USER_id")
    REFERENCES "USER"("id"),
  CONSTRAINT "fk_USER_has_CRITTER_CRITTER1"
    FOREIGN KEY("CRITTER_id")
    REFERENCES "CRITTER"("id")
);
CREATE INDEX "USER_has_CRITTER.fk_USER_has_CRITTER_CRITTER1_idx" ON "USER_has_CRITTER" ("CRITTER_id");
CREATE INDEX "USER_has_CRITTER.fk_USER_has_CRITTER_USER1_idx" ON "USER_has_CRITTER" ("USER_id");
COMMIT;
